import { SvelteComponentTyped } from "svelte";
export declare const ctx = "Grid";
import type { GridProps as $$GridProps } from './Grid.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$GridProps['use'];
        element?: $$GridProps['element'];
        class?: string;
        override?: $$GridProps['override'];
        align?: $$GridProps['align'];
        cols?: $$GridProps['cols'];
        grow?: $$GridProps['grow'];
        spacing?: $$GridProps['spacing'];
        justify?: $$GridProps['justify'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type GridProps = typeof __propDef.props;
export declare type GridEvents = typeof __propDef.events;
export declare type GridSlots = typeof __propDef.slots;
/**
 * Flexbox grid with variable amount of columns
 *
 * @see https://svelteui.org/core/grid
 * @example
 *    ```svelte
 *    <Grid cols={3} align='center'>
 *      <Grid.Col span={4}>1</Grid.Col>
 *      <Grid.Col span={4}>2</Grid.Col>
 *      <Grid.Col span={4}>3</Grid.Col>
 *    </Grid>
 *    ```
 */
export default class Grid extends SvelteComponentTyped<GridProps, GridEvents, GridSlots> {
}
export {};
