import { SvelteComponentTyped } from "svelte";
export declare const ctx = "Tabs";
import type { TabsProps as $$TabsProps } from './Tabs.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$TabsProps['use'];
        element?: $$TabsProps['element'];
        class?: string;
        override?: $$TabsProps['override'];
        active?: $$TabsProps['active'];
        color?: $$TabsProps['color'];
        grow?: $$TabsProps['grow'];
        initialTab?: $$TabsProps['initialTab'];
        orientation?: $$TabsProps['orientation'];
        position?: $$TabsProps['position'];
        tabPadding?: $$TabsProps['tabPadding'];
        variant?: $$TabsProps['variant'];
    };
    events: {
        change: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TabsProps = typeof __propDef.props;
export declare type TabsEvents = typeof __propDef.events;
export declare type TabsSlots = typeof __propDef.slots;
/**
 * **UNSTABLE:** new API, yet to be vetted.
 *
 * Display list of events in chronological order
 *
 * @see https://svelteui.org/core/timeline
 * @example
 *    ```svelte
 *    <Tabs>
 *      <Tabs.Tab>
 * 	...
 *   </Tabs.Tab>
 *      <Tabs.Tab>
 * 	...
 *   </Tabs.Tab>
 *   ...
 *    </Tabs>
 *    ```
 */
export default class Tabs extends SvelteComponentTyped<TabsProps, TabsEvents, TabsSlots> {
}
export {};
