import { SvelteComponentTyped } from "svelte";
export declare const ctx = "Timeline";
import type { TimelineProps as $$TimelineProps } from './Timeline.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        use?: $$TimelineProps['use'];
        element?: $$TimelineProps['element'];
        class?: string;
        override?: $$TimelineProps['override'];
        active?: $$TimelineProps['active'];
        align?: $$TimelineProps['align'];
        bulletSize?: $$TimelineProps['bulletSize'];
        radius?: $$TimelineProps['radius'];
        color?: $$TimelineProps['color'];
        lineWidth?: $$TimelineProps['lineWidth'];
        reverseActive?: $$TimelineProps['reverseActive'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TimelineProps = typeof __propDef.props;
export declare type TimelineEvents = typeof __propDef.events;
export declare type TimelineSlots = typeof __propDef.slots;
/**
 * **UNSTABLE:** new API, yet to be vetted.
 *
 * Display list of events in chronological order
 *
 * @see https://svelteui.org/core/timeline
 * @example
 *    ```svelte
 *    <Timeline>
 *      <Timeline.Item>
 * 	...
 *   </Timeline.Item>
 *      <Timeline.Item>
 * 	...
 *   </Timeline.Item>
 *   ...
 *    </Timeline>
 *
 * <Timeline active={1} bulletSize={30} align='right' reverseActive>
 *        ...
 *    </Timeline>
 *    ```
 */
export default class Timeline extends SvelteComponentTyped<TimelineProps, TimelineEvents, TimelineSlots> {
}
export {};
